classification
Title: turtle.textinput window is not transient
Type: behavior Stage: resolved
Components: Tkinter Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: epaine, jwmp5051, miss-islington, orsenthil, quid256, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2021-03-18 01:12 by quid256, last changed 2021-04-30 22:13 by terry.reedy. This issue is now closed.

Files
File name Uploaded Description Edit
textinput_test.py quid256, 2021-03-18 01:12
textinput.png jwmp5051, 2021-03-18 02:04 difference between 3.9.1 and 3.9.2
Pull Requests
URL Status Linked Edit
PR 24916 closed epaine, 2021-03-18 11:19
PR 24923 merged serhiy.storchaka, 2021-03-18 19:21
PR 25589 merged miss-islington, 2021-04-25 10:17
PR 25590 merged miss-islington, 2021-04-25 10:17
Messages (9)
msg388980 - (view) Author: Chris Winkler (quid256) Date: 2021-03-18 01:12
When `turtle.textinput` is called in Python 3.9.2, the resulting dialog window is not marked as transient. This is not a problem in 3.9.1.

The offending change seems to come from bpo-42630. Specifically, `SimpleDialog.__init__` is being passed `parent=None`, and because of this `self.transient(parent)` is not being called.

A minimal program to reproduce the bug is attached. I'm happy to submit a pull request or something if it would help, but I don't know whether it's more correct to replace `parent` with `master` in the aforementioned if statement or something else.
msg388982 - (view) Author: John Private (jwmp5051) Date: 2021-03-18 02:04
I am enclosing a PNG showing the difference between 3.9.1 and 3.9.2

In 3.9.2 the pop-up opens as a new window complete with minimise and maximise buttons, and the position is unrelated to the turtle screen.
msg389010 - (view) Author: E. Paine (epaine) * Date: 2021-03-18 11:17
Thank you for reporting this. The problem appears to be a regression with https://github.com/python/cpython/commit/3d569fd6 where the dialog tries to be transient to the user-passed parent rather than the default root. I will create a PR to hopefully rectify this.
msg391848 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2021-04-25 10:16
New changeset b5adc8a7e5c13d175b4d3e53b37bc61de35b1457 by Serhiy Storchaka in branch 'master':
bpo-43534: Make dialogs in turtle.textinput() and turtle.numinput() transitient again (GH-24923)
https://github.com/python/cpython/commit/b5adc8a7e5c13d175b4d3e53b37bc61de35b1457
msg391852 - (view) Author: miss-islington (miss-islington) Date: 2021-04-25 10:44
New changeset 7248ce30bb84f2d5af855a867cc4e3cc40a07fb5 by Miss Islington (bot) in branch '3.9':
bpo-43534: Make dialogs in turtle.textinput() and turtle.numinput() transitient again (GH-24923)
https://github.com/python/cpython/commit/7248ce30bb84f2d5af855a867cc4e3cc40a07fb5
msg391853 - (view) Author: miss-islington (miss-islington) Date: 2021-04-25 10:45
New changeset c70f268523cb3213693710e14c0fcae81fd3fa7a by Miss Islington (bot) in branch '3.8':
bpo-43534: Make dialogs in turtle.textinput() and turtle.numinput() transitient again (GH-24923)
https://github.com/python/cpython/commit/c70f268523cb3213693710e14c0fcae81fd3fa7a
msg391858 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2021-04-25 14:49
New changeset 8af929fc76f21fb123f6a47cb3ebcf4e5b758dea by Serhiy Storchaka in branch 'master':
bpo-43534: Fix the turtle module working with multiple root windows (GH-25591)
https://github.com/python/cpython/commit/8af929fc76f21fb123f6a47cb3ebcf4e5b758dea
msg391872 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2021-04-26 01:54
New changeset 9ca20fdc4c27e31832adbd6d393a87e7d8953e3c by Miss Islington (bot) in branch '3.8':
bpo-43534: Fix the turtle module working with multiple root windows GH-25594
https://github.com/python/cpython/commit/9ca20fdc4c27e31832adbd6d393a87e7d8953e3c
msg391873 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2021-04-26 01:54
New changeset b47f05157bd05c5825c26389af5be3064a2c1313 by Miss Islington (bot) in branch '3.9':
bpo-43534: Fix the turtle module working with multiple root windows GH-25593
https://github.com/python/cpython/commit/b47f05157bd05c5825c26389af5be3064a2c1313
History
Date User Action Args
2021-04-30 22:13:26terry.reedysetpull_requests: - pull_request24314
2021-04-30 22:13:15terry.reedysetpull_requests: - pull_request24313
2021-04-26 01:54:45orsenthilsetmessages: + msg391873
2021-04-26 01:54:29orsenthilsetnosy: + orsenthil
messages: + msg391872
2021-04-25 14:49:50miss-islingtonsetpull_requests: + pull_request24314
2021-04-25 14:49:44miss-islingtonsetpull_requests: + pull_request24313
2021-04-25 14:49:39serhiy.storchakasetmessages: + msg391858
2021-04-25 10:47:27serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-04-25 10:47:09serhiy.storchakasetpull_requests: - pull_request24310
2021-04-25 10:45:23miss-islingtonsetmessages: + msg391853
2021-04-25 10:44:37miss-islingtonsetmessages: + msg391852
2021-04-25 10:35:47serhiy.storchakasetpull_requests: + pull_request24310
2021-04-25 10:17:05miss-islingtonsetpull_requests: + pull_request24309
2021-04-25 10:17:00miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request24308
2021-04-25 10:16:53serhiy.storchakasetmessages: + msg391848
2021-03-18 19:21:20serhiy.storchakasetpull_requests: + pull_request23687
2021-03-18 11:21:39epainesetversions: + Python 3.8, Python 3.10
2021-03-18 11:19:44epainesetkeywords: + patch
stage: patch review
pull_requests: + pull_request23679
2021-03-18 11:17:20epainesetnosy: + serhiy.storchaka, epaine
messages: + msg389010
2021-03-18 02:04:02jwmp5051setfiles: + textinput.png
nosy: + jwmp5051
messages: + msg388982

2021-03-18 01:12:16quid256create